Skip to main content
GET
List services

Authorizations

Authorization
string
header
required

Origin One API token. Pass it in the Authorization header: Authorization: Bearer <token>.

Query Parameters

limit
integer
default:10

Number of items per page (max 20).

Required range: 1 <= x <= 20
Example:

10

page
integer
default:1

Page of results to return (1-based).

Required range: 1 <= x <= 10000
Example:

1

name
string

Filter by service name (case-insensitive partial match).

Required string length: 1 - 255
Example:

"panel"

type
enum<string>

Filter by service type (exact match).

Available options:
additionalService,
backgroundCheckService,
breathAlcoholTest,
clinical,
confirmationTest,
injuryCareService,
instantDrugTest,
labBasedToxicology,
occupationalHealthService,
safetyTraining,
vaccination,
mroService,
unknown
Example:

"labBasedToxicology"

Response

Success.

data
object[]
required

Items on this page.

limit
integer
required

Number of items per page.

Example:

10

page
integer
required

Current page number (1-based).

Example:

1

total
integer
required

Number of matching items across all pages.

Example:

1